#include<stdio.h>
#include<string.h>
#include<stdlib.h>


int cijena(char *znamenitost, FILE *cijene){
    char str[51]; int cijena;
    while( fscanf(cijene, "%[^:]:%d ", str, &cijena) == 2){
        if(!strcmp(znamenitost, str)) return cijena;
    }
    return 0;
}


int jedan_dan(char *datum, FILE *cijene){
    int c = 0;
    char dat[15], znam[51], sat[6];
    strcpy(dat, datum); strcat(dat, ".txt");
    FILE *dan = fopen(dat, "r");
    if(dan == NULL){
        printf("Greska!\n");
        return -1;
    }
    while(fscanf(dan, "%[^-]-%[^\n] ", sat, znam) == 2){
        rewind(cijene);
        c += cijena(znam, cijene);
    }
    fclose(dan);
    return c;
}

int main(int argc, char **argv){
    FILE *cjenik, *ukupno;
    if((cjenik = fopen("cijene.txt", "r")) == NULL){
        printf("Greska\n"); exit(1);
    }

    if((ukupno = fopen("ukupno.txt", "w")) == NULL){
        fclose(cjenik);
        printf("Greska\n"); exit(1);
    }

    int i, sve = 0;
    for(i = 1; i < argc; ++i) {
        int c = jedan_dan(argv[i], cjenik);
        if(c == -1) return 1;
        sve += c;
        fprintf(ukupno, "%s:%d\n", argv[i], c);
    }
    fprintf(ukupno, "%s:%d", "ukupno", sve);

    return 0;
}
