#include<stdio.h>
#include<stdlib.h>
#include<string.h>
typedef struct _player{
    char prezime[21];
    int rang;
    struct _player* next;
} player;


typedef struct _mixed_double{
    char zena[21], muskarac[21];
    int rang_z, rang_m;
    struct _mixed_double* next;
} mixed_double;

player* insert(player* first, char prezime[], int rang)
{
    player* novi=(player*)malloc(sizeof(player));

    strcpy(novi->prezime,prezime);
    novi->rang=rang;
    novi->next=first;

    return novi;
}

int izdvoji(player* first, int n)
{
    int* niz;
    int i=0,j, temp, duljina=0;
    player* pom;

    for(pom=first;pom;pom=pom->next) duljina++;

    niz=(int*)malloc(duljina*sizeof(int));

    for(pom=first;pom;pom=pom->next) niz[i++]=pom->rang;

    for(i=0;i<duljina;i++)
        for(j=i+1;j<duljina;j++)
            if(niz[i]<niz[j])
            {
                temp=niz[i];
                niz[i]=niz[j];
                niz[j]=temp;
            }
    return niz[n];
}

mixed_double* stvori_parove(player* zene, player* muskarci)
{
    int max_z, max_m, redni_broj=0;

    player* pom_z, *pom_m, *prethodni_m=NULL, *temp;

    mixed_double* novi, *first=NULL;

    while(muskarci)
    {
        max_z=izdvoji(zene,redni_broj++);
        max_m=0;

       for(pom_m=muskarci;pom_m;pom_m=pom_m->next)
            if(pom_m->rang>max_m) max_m=pom_m->rang;

       for(pom_m=muskarci;pom_m;pom_m=pom_m->next)
            {
                if(pom_m->rang==max_m) break;
                prethodni_m=pom_m;
            }

        for(pom_z=zene;pom_z;pom_z=pom_z->next)
                if(pom_z->rang==max_z) break;

        novi=(mixed_double*)malloc(sizeof(mixed_double));

        strcpy(novi->muskarac,pom_m->prezime);
        strcpy(novi->zena,pom_z->prezime);
        novi->rang_m=pom_m->rang;
        novi->rang_z=pom_z->rang;
        novi->next=first;
        first=novi;

        if(prethodni_m==NULL)
        {
            temp=muskarci;
            muskarci=muskarci->next;
            free(temp);
        }
        else
        {
            temp=pom_m;
            prethodni_m->next=pom_m->next;
            free(temp);
        }

        prethodni_m=NULL;
    }

    return first;
}

mixed_double* invertiraj(mixed_double* parovi)
{
    mixed_double* first=NULL, *pom, *pom2;

    for(pom=parovi;pom;pom=pom2)
    {
        pom2=pom->next;
        pom->next=first;
        first=pom;
    }

    return first;
}

int main(void)
{
    mixed_double *pom, *parovi; //testiranje funkcija
    player* zene=NULL, *muskarci=NULL;

    zene=insert(zene,"Sindhu",5);
    zene=insert(zene,"Yamaguchi",1);
    zene=insert(zene,"Tai",2);

    muskarci=insert(muskarci,"Axelsen",1);
    muskarci=insert(muskarci,"Popov",4);
    muskarci=insert(muskarci,"Antonsen",3);

    parovi=stvori_parove(zene,muskarci);

    parovi=invertiraj(parovi);

    for(pom=parovi;pom;pom=pom->next)
        printf("%s i %s\n", pom->zena, pom->muskarac);

    return 0;
}
