#include<stdio.h>
#include<stdlib.h>

typedef struct{
    int popust;
    int redni_broj;
} stol;

void grupiraj(FILE* in)
{
    stol temp1, temp2, proba;
    int poz1_prva, poz1_trenutna, poz1,
    poz2, pocetak=1, prvi_blok=1;        // pozicije ispred dvije strukture koje zamjenjujemo, s tim da za strukture s
                                        // popustom 70 pamtimo pozicije bloka struktura s popustom 70
    while(fread(&temp2,sizeof(stol),1,in))
    {
        if(temp2.popust==60 && prvi_blok) continue; // prvi blok stolova s popustom 60 zaobilazimo
        else prvi_blok=0;

        if(temp2.popust==70)        // pamtimo pocetak i kraj bloka stolova s popustom 70
        {
            if(pocetak)
            {
              poz1_prva=ftell(in)-sizeof(stol);
              poz1_trenutna=poz1_prva;
              pocetak=0;
            }
            else poz1_trenutna=ftell(in)-sizeof(stol);

            continue;
        }

        poz2=ftell(in)-sizeof(stol);         // pozicija stola s popustom 60 kojeg treba
                                            // prebaciti na pocetak bloka stolova s popustima 70

        for(poz1=poz1_trenutna;poz1>=poz1_prva;poz1-=sizeof(stol))
        {
            fseek(in,poz1,SEEK_SET);
            fread(&temp1,sizeof(stol),1,in);

            fseek(in,poz1,SEEK_SET);
            fwrite(&temp2,sizeof(stol),1,in);       // stolove s popustom 70 mijenjamo sa stolom s popustom 60 jedan po jedan
                                                    // kako bi redosljed stolova ostao isti

            fseek(in,poz2,SEEK_SET);
            fwrite(&temp1,sizeof(stol),1,in);
            poz2=poz1;
        }

        fseek(in,poz1_prva+sizeof(stol),SEEK_SET); // odemo na 1+ mjesto pocetka bloka s popustima 70

        pocetak=1;
    }
}

int main(void)
{
    FILE *in;
    stol polje[10];
    stol proba;
    int i;

    for(i=0;i<10;i++)
        {  polje[i].popust=60; polje[i].redni_broj=i+1;}

    polje[0].popust=70;
    polje[3].popust=70;
    polje[4].popust=70;
    polje[7].popust=70;
    polje[8].popust=70;

    in=fopen("stolovi.txt","wb+");

    for(i=0;i<10;i++)
        fwrite(&polje[i],sizeof(stol),1,in);

    fseek(in,0,SEEK_SET);

    printf("Pocetni izgled binarne datoteke:\n");

    for(i=0;i<10;i++)
    {
        fread(&proba,sizeof(stol),1,in);
        printf("%d %d.\n", proba.popust, proba.redni_broj);
    }

    fseek(in,0,SEEK_SET);

    grupiraj(in);

    fseek(in,0,SEEK_SET);

    printf("Zavrsni izgled binarne datoteke:\n");

    for(i=0;i<10;i++)
    {
        fread(&proba,sizeof(stol),1,in);
        printf("%d %d.\n", proba.popust, proba.redni_broj);
    }

    return 0;
}
